# Using Foam

Foam is a collection VS Code extensions and recipes that power up the editor into a full-blown note taking system.
This folder contains user documentation describing how to get started using Foam, what its main features are, and strategies for getting the most out of Foam.
The full docs are included in the `foam-template` repo that most users start from.

> See also [[frequently-asked-questions]].

## Getting Started

- [[get-started-with-vscode]]
- [[recommended-extensions]]
- [[creating-new-notes]]
- [[write-notes-in-foam]]
- [[sync-notes-with-soruce-control]]
- [[keyboard-shortcuts]]

## Features

- [[wikilinks]]
- [[tags]]
- [[backlinking]]
- [[daily-notes]]
- [[including-notes]]
- [[spell-checking]]
- [[graph-visualization]]
- [[note-properties]]
- [[note-templates]]
- [[paste-images-from-clipboard]]
- [[custom-markdown-preview-styles]]
- [[link-reference-definitions]]
- [[custom-snippets]]

## Recipes

[[recipes]] is a collection of user-contributed patterns that describe different ways you could utilize Foam or integrate it with other tools.

## Publishing

You can publish your Foam notes for consumption in different formats.
Examples: [[publish-to-github-pages]], [[generate-gatsby-site]], [[publish-to-vercel]]

See [[publishing]] for more details.

## Tools

- [[cli]]
- [[workspace-janitor]]
- [[orphans]]
- [[foam-logging-in-vscode]]

[//begin]: # "Autogenerated link references for markdown compatibility"
[frequently-asked-questions]: frequently-asked-questions.md "Frequently Asked Questions"
[get-started-with-vscode]: getting-started/get-started-with-vscode.md "Getting started with VS Code"
[recommended-extensions]: getting-started/recommended-extensions.md "Recommended Extensions"
[creating-new-notes]: getting-started/creating-new-notes.md "Creating New Notes"
[write-notes-in-foam]: getting-started/write-notes-in-foam.md "Writing Notes"
[sync-notes-with-soruce-control]: getting-started/sync-notes-with-soruce-control.md "Sync notes with source control"
[keyboard-shortcuts]: getting-started/keyboard-shortcuts.md "Keyboard Shortcuts"
[wikilinks]: features/wikilinks.md "Wikilinks"
[tags]: features/tags.md "Tags"
[backlinking]: features/backlinking.md "Backlinking"
[daily-notes]: features/daily-notes.md "Daily Notes"
[including-notes]: features/including-notes.md "Including notes in a note"
[spell-checking]: features/spell-checking.md "Spell Checking"
[graph-visualization]: features/graph-visualization.md "Graph Visualization"
[note-properties]: features/note-properties.md "Note Properties"
[note-templates]: features/note-templates.md "Note Templates"
[paste-images-from-clipboard]: features/paste-images-from-clipboard.md "Paste Images from Clipboard"
[custom-markdown-preview-styles]: features/custom-markdown-preview-styles.md "Custom Markdown Preview Styles"
[link-reference-definitions]: features/link-reference-definitions.md "Link Reference Definitions"
[custom-snippets]: features/custom-snippets.md "Adding Custom Snippets"
[recipes]: recipes/recipes.md "Recipes"
[publish-to-github-pages]: publishing/publish-to-github-pages.md "GitHub Pages"
[generate-gatsby-site]: publishing/generate-gatsby-site.md "Generate a site using Gatsby"
[publish-to-vercel]: publishing/publish-to-vercel.md "Publish to Vercel"
[publishing]: publishing/publishing.md "Publishing pages"
[cli]: tools/cli.md "Command Line Interface"
[workspace-janitor]: tools/workspace-janitor.md "Janitor"
[orphans]: tools/orphans.md "Orphaned Notes"
[foam-logging-in-vscode]: tools/foam-logging-in-vscode.md "Foam logging in VsCode"
[//end]: # "Autogenerated link references"
